
From: Chris Wright <chrisw@osdl.org>

Joseph Fannin notes that I missed a couple INIT_TASK spots in the
rlim-add-rlimit-entry-for-posix-mqueue-allocation.patch.  Patch below adds
proper #includes.


---

 25-akpm/arch/cris/kernel/process.c |    1 +
 25-akpm/arch/m68k/kernel/process.c |    1 +
 25-akpm/arch/ppc/kernel/process.c  |    1 +
 3 files changed, 3 insertions(+)

diff -puN arch/cris/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k arch/cris/kernel/process.c
--- 25/arch/cris/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k	Fri May 14 17:32:05 2004
+++ 25-akpm/arch/cris/kernel/process.c	Fri May 14 17:32:05 2004
@@ -102,6 +102,7 @@
 #include <linux/fs.h>
 #include <linux/user.h>
 #include <linux/elfcore.h>
+#include <linux/mqueue.h>
 
 //#define DEBUG
 
diff -puN arch/m68k/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k arch/m68k/kernel/process.c
--- 25/arch/m68k/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k	Fri May 14 17:32:05 2004
+++ 25-akpm/arch/m68k/kernel/process.c	Fri May 14 17:32:05 2004
@@ -26,6 +26,7 @@
 #include <linux/a.out.h>
 #include <linux/reboot.h>
 #include <linux/init_task.h>
+#include <linux/mqueue.h>
 
 #include <asm/uaccess.h>
 #include <asm/system.h>
diff -puN arch/ppc/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k arch/ppc/kernel/process.c
--- 25/arch/ppc/kernel/process.c~mqueue-rlimit-compile-fix-for-ppc-cris-m68k	Fri May 14 17:32:05 2004
+++ 25-akpm/arch/ppc/kernel/process.c	Fri May 14 17:32:05 2004
@@ -35,6 +35,7 @@
 #include <linux/init_task.h>
 #include <linux/module.h>
 #include <linux/kallsyms.h>
+#include <linux/mqueue.h>
 
 #include <asm/pgtable.h>
 #include <asm/uaccess.h>

_
